Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::FieldParser Struct Referenceabstract

Internal: virtual field parser of a PowerPoint3Parser. More...

Inheritance diagram for PowerPoint3ParserInternal::FieldParser:

## Public Member Functions
| FieldParser (int fSize, std::string const &debugName)
| the constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual bool | parse (int id, MWAWInputStreamPtr &input, libmwaw::DebugFile &ascFile)=0
| virtual function used to parse a field More...

## Public Attributes
int | m_fieldSize
| the field size More...
std::string | m_name
| the debug name More...

## Detailed Description

Internal: virtual field parser of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ FieldParser()

PowerPoint3ParserInternal::FieldParser::FieldParser | ( | int | fSize,
|  | std::string const & | debugName
| ) |  |
| inline

the constructor

## ◆ ~FieldParser()

PowerPoint3ParserInternal::FieldParser::~FieldParser | ( |  | ) |
| virtual

destructor

Referenced by FieldParser().

## Member Function Documentation

## ◆ parse()

virtual bool PowerPoint3ParserInternal::FieldParser::parse | ( | int | id,
|  | MWAWInputStreamPtr & | input,
|  | libmwaw::DebugFile & | ascFile
| ) |  |
| pure virtual

virtual function used to parse a field

Implemented in PowerPoint3ParserInternal::FontNameFieldParser, and PowerPoint3ParserInternal::ListZoneIdParser.

Referenced by FieldParser(), PowerPoint3ParserInternal::FontNameFieldParser::FontNameFieldParser(), PowerPoint3ParserInternal::ListZoneIdParser::ListZoneIdParser(), PowerPoint3ParserInternal::SubDocument::operator!=(), and PowerPoint3Parser::readStructList().

## Member Data Documentation

## ◆ m_fieldSize

int PowerPoint3ParserInternal::FieldParser::m_fieldSize

the field size

Referenced by PowerPoint3Parser::readStructList().

## ◆ m_name

std::string PowerPoint3ParserInternal::FieldParser::m_name

the debug name

Referenced by PowerPoint3ParserInternal::ListZoneIdParser::parse(), PowerPoint3ParserInternal::FontNameFieldParser::parse(), and PowerPoint3Parser::readStructList().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx